Package org.h2.constraint

# Enum Class ConstraintActionType

java.lang.Object
java.lang.Enum<ConstraintActionType>
org.h2.constraint.ConstraintActionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConstraintActionType>`, `Constable`

public enum ConstraintActionType extends Enum<ConstraintActionType>
The referential action for update or delete rule.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CASCADE`
The action is to cascade the operation.
`NO_ACTION`
No action (default).
`RESTRICT`
The action is to restrict the operation.
`SET_DEFAULT`
The action is to set the value to the default value.
`SET_NULL`
The action is to set the value to NULL.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSqlName()`
Get standard SQL type name.
`boolean`
`isNoActionOrRestrict()`
Tests if this is a `NO_ACTION` or `RESTRICT` rule.
`static ConstraintActionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConstraintActionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_ACTION

public static final ConstraintActionType NO_ACTION
No action (default).

### RESTRICT

public static final ConstraintActionType RESTRICT
The action is to restrict the operation.

### CASCADE

public static final ConstraintActionType CASCADE
The action is to cascade the operation.

### SET_DEFAULT

public static final ConstraintActionType SET_DEFAULT
The action is to set the value to the default value.

### SET_NULL

public static final ConstraintActionType SET_NULL
The action is to set the value to NULL.

## Method Details

### values

public static ConstraintActionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConstraintActionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSqlName

public String getSqlName()
Get standard SQL type name.

Returns:
  standard SQL type name

### isNoActionOrRestrict

public boolean isNoActionOrRestrict()
Tests if this is a `NO_ACTION` or `RESTRICT` rule.

Returns:
  `true` if this is a `NO_ACTION` or `RESTRICT` rule, `false` otherwise